FROM ghcr.io/astral-sh/uv:python3.13-trixie-slim

# Install app
COPY . /app
WORKDIR /app

# Install dependencies
RUN uv sync --no-config --frozen --compile-bytecode

# Starten Sie Ihre Anwendung
EXPOSE 8000

CMD [".venv/bin/hypercorn", "run:app", "--bind", "0.0.0.0:8000", "--workers", "1", "--websocket-ping-interval", "20", "--access-logfile", "-"]
